## kio-stash 1.0+p24.04+vstable+git20250928.0635

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(KIOFileStash)

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(
    CMAKE_MODULE_PATH
        ${CMAKE_MODULE_PATH}
        ${ECM_MODULE_PATH}
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING) #prevents implicit conversion of QString to QUrl
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_stash\")

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Test
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    KIO
    DBusAddons
    I18n
)

add_subdirectory(dbus)
add_subdirectory(src)
add_subdirectory(tests)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
#build the target for the test cases for the KIO worker

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

set(workertest_SRCS
    workertest.cpp
)

enable_testing()
set(CMAKE_AUTOMOC_ON)
add_executable(workertest ${workertest_SRCS})
add_test(NAME workertest COMMAND workertest)

target_link_libraries(workertest
    KF6::KIOCore
    KF6::DBusAddons
    Qt::Core
    KF6::I18n
    Qt::DBus
    KF6::KIOCore
    KF6::Solid
    Qt::Test
)

#next target
set(testdaemon_SRCS
    testdaemon.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/iodaemon/stashnotifier.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/iodaemon/fs.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/iodaemon/stash_adaptor.cpp
)

add_executable(testdaemon ${testdaemon_SRCS})

target_link_libraries(testdaemon
    KF6::KIOCore
    KF6::DBusAddons
    Qt::DBus
    Qt::Core
)

=== src/iodaemon/CMakeLists.txt ===
#build and install the daemon for the KIO worker

add_library(stashnotifier MODULE stashnotifier.cpp fs.cpp stash_adaptor.cpp)

target_link_libraries(stashnotifier
    KF6::KIOCore
    KF6::DBusAddons
    Qt::DBus
    Qt::Core
)

install(TARGETS stashnotifier DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

=== src/kioworker/CMakeLists.txt ===
# build and install the staging KIO worker

add_library(kio_filestash MODULE filestash.cpp)

target_link_libraries (kio_filestash
    Qt::DBus
    KF6::KIOCore
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
)

set_target_properties(kio_filestash PROPERTIES OUTPUT_NAME "filestash")
install(TARGETS kio_filestash DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio/)

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20250928.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:35:34 +0000

kio-stash (1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Jul 2017 15:53:44 +0000

kio-stash (0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2017 15:40:10 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         texlive-latex-base, xscreensaver
Restrictions: build-needed

## kio-stash 1.0+p24.04+vstable+git20251003.1130

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20251003.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:30:41 +0000

## kio-stash 1.0+p24.04+vstable+git20251015.1249

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20251015.1249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:49:06 +0000

=== debian/control ===
Source: kio-stash
Section: kde
Priority: optional
XSBC-Original-Maintainer: Clive Johnston <clivejo@kubuntu.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/utilities/kio-stash
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kio-stash.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kio-stash
Maintainer: Neon CI <neon@kde.org>

Package: kio-stash
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: Virtual folder for Dolphin
 KIOSlave for making file selections in non-contiguous folder trees
 easier by using a virtual folder.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4
http://download.kde.org/stable/kio-stash/kio-stash-([\d.]+).tar.xz

## kio-stash 1.0+p24.04+vstable+git20251019.0150

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20251019.0150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:50:15 +0000

## kio-stash 1.0+p24.04+vstable+git20251125.0254

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20251125.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 02:54:47 +0000

## kio-stash 1.0+p24.04+vstable+git20251231.0346

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20251231.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:46:21 +0000

## kio-stash 1.0+p24.04+vstable+git20260107.0903

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20260107.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:03:01 +0000

## kio-stash 1.0+p24.04+vstable+git20260122.0731

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20260122.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 07:31:40 +0000

## kio-stash 1.0+p24.04+vstable+git20260130.1032

=== debian/changelog ===
kio-stash (1.0+p24.04+vstable+git20260130.1032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:32:00 +0000

## kio-stash 1.0+p24.04+vunstable+git20250928.0729

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20250928.0729-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 07:29:20 +0000

## kio-stash 1.0+p24.04+vunstable+git20251003.1340

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20251003.1340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 13:40:12 +0000

## kio-stash 1.0+p24.04+vunstable+git20251123.1902

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20251123.1902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 19:02:47 +0000

## kio-stash 1.0+p24.04+vunstable+git20251126.0407

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20251126.0407-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 04:07:42 +0000

## kio-stash 1.0+p24.04+vunstable+git20260104.0255

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20260104.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 02:55:00 +0000

## kio-stash 1.0+p24.04+vunstable+git20260107.1305

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20260107.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 13:05:56 +0000

## kio-stash 1.0+p24.04+vunstable+git20260123.0513

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20260123.0513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:13:58 +0000

## kio-stash 1.0+p24.04+vunstable+git20260201.0758

=== debian/changelog ===
kio-stash (1.0+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:33 +0000
